package org.cocos2d.transitions;

import org.cocos2d.actions.interval.CCIntervalAction;
import org.cocos2d.actions.tile.CCFadeOutDownTiles;
import org.cocos2d.cocoa.CCGeometry.CCSize;
import org.cocos2d.layers_scenes_transitions_nodes.CCScene;

/**
 * FadeDown Transition.
 * Fade the tiles of the outgoing scene from the top to the bottom.
 */
public class CCFadeDownTransition extends CCFadeTRTransition {

    public CCFadeDownTransition(float t, CCScene s) {
        super(t, s);
    }

    protected CCIntervalAction action(CCSize v) {
        return CCFadeOutDownTiles.action(v, duration);
    }
}
